PlayerCc::PlayerError Class Reference

The C++ exception class. More...

`#include <playererror.h>`

## Public Member Functions

std::string | GetErrorStr () const
| the error string
std::string | GetErrorFun () const
| the function that threw the error
int | GetErrorCode () const
| a numerical error code
| PlayerError (const std::string aFun="", const std::string aStr="", const int aCode=-1)
| default constructor
| ~PlayerError ()
| default destructor

## Private Attributes

std::string | mStr
std::string | mFun
int | mCode

## Detailed Description

The C++ exception class.

When libplayerc++ receives an error from libplayerc it throws a PlayerError exception.

The documentation for this class was generated from the following file:

- playererror.h

Last updated 12 September 2005 21:38:45